import greenfoot.*; 
import java.awt.Color;
import java.awt.Font;
import java.lang.String;
/**
 * @author (Sugeng Rianto and Ubaidillah) 
 * @version (1.0)
 */
public class Tulisan extends Actor
{
    public int maxx=50;
    public Tulisan(String string) 
    {
        int size=30;
        int length=string.length();
        int baris=(int)(1+1.0*length/maxx);
        int w=length,h=size;
        GreenfootImage image=new GreenfootImage(w,h);
        Font font = image.getFont();
        if(length<=maxx)w=(int)(0.5*w*font.getSize()+5);
        else w=(int)(0.5*maxx*font.getSize()+4);
        h=baris*font.getSize()+4;
        image=new GreenfootImage(w,h);
        image.setColor(new Color(0,186,255));
        image.setFont(font);
        String stringo=null;
        
        for(int i=0;i<baris;i++){
            if(i<(baris-1))stringo=string.substring(i*maxx,(i+1)*maxx); 
            else stringo=string.substring(i*maxx); 
            image.drawString(stringo,4,h-((baris-i-1)*font.getSize())-4);    
        }
        
        setImage(image);
    }    
}
