import greenfoot.*; 
import java.awt.Color;
/**
 * @author (Sugeng Rianto and Ubaidillah) 
 * @version (1.0)
 */
public class Scroll extends Actor
{
    public int min=0,max=300,random=0;
    private boolean drag=false;
    private int rx=0,ry=0,xo=0,yo=0;
    public double Value=0.0;
    private Latar latar=null;
    
    public void addedToWorld(World Latar)
    {
        int w=7,h=15;
        xo=getX();yo=getY();
        latar=(Latar)getWorld();
        GreenfootImage image=new GreenfootImage(w,h);    
        image.setColor(new Color(0,186,255));
        int[] x=new int[]{0,w-1,w-1,(int)(0.5*w),0};
        int[] y=new int[]{0,0,(int)(0.75*h),h-1,(int)(0.75*h)};
        image.fillPolygon(x,y,5);
        image.setColor(Color.BLACK);
        image.drawPolygon(x,y,5);
        setImage(image);
        image=new GreenfootImage((max-min),5);
        image.setColor(new Color(0,186,255));
        image.drawRect(0,0,image.getWidth()-1,image.getHeight()-1);
        Latar latar=(Latar)getWorld();
        (latar.getBackground()).drawImage(image,getX(),(int)(getY()-0.5*image.getHeight()));
        random=Greenfoot.getRandomNumber(200);
    }
    
    public void setValue()
    {
        Value=0.01*random*8*(getX()-xo)/max;
    }
    
    public void act() 
    {
        if(Greenfoot.mouseDragged(this)){
            MouseInfo mouse=Greenfoot.getMouseInfo();
            if(!drag){
                drag=true;
                rx=mouse.getX()-getX();
                ry=mouse.getY()-getY();
            }
            
            if((mouse.getX()-rx)<xo ||(mouse.getX()-rx)>(xo+(max-min)))drag=false;
            
            if(drag){
                setLocation(mouse.getX()-rx,getY());
                latar.n=0;
                setValue();
            }
        }
        
        if(Greenfoot.mouseDragEnded(this)){
            drag=false;
        }
    }    
}
